Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.asynch
Class AsynchAspect

    java.lang.Object
      org.jboss.aspects.asynch.AsynchAspect

public class AsynchAspect
extends Object

Comment

Version:
  $Revision: 1.4.2.5 $
Author:
  Bill Burke

Field Summary
`protected ExecutorAbstraction` | `executor`
`static String` | `FUTURE`

Constructor Summary
`AsynchAspect()`

Method Summary
`Object` | `execute(org.jboss.aop.joinpoint.MethodInvocation invocation)`
`protected boolean` | `generateProxy()` Default behaviour is to generate a proxy using aop.
`org.jboss.aop.Advisor` | `getAdvisor()`
`void` | `setAdvisor(org.jboss.aop.Advisor advisor)`
`void` | `setGenerateDynamicProxy(boolean gen)`
`protected void` | `setupLocalFuture(org.jboss.aop.joinpoint.MethodInvocation invocation, Future future)`
`protected void` | `setupRemoteFuture(org.jboss.aop.joinpoint.MethodInvocation invocation, RemotableFuture future, org.jboss.remoting.InvokerLocator locator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUTURE

    public static final String FUTURE

See Also:
  Constant Field Values

### executor

    protected ExecutorAbstraction executor

Constructor Detail

### AsynchAspect

    public AsynchAspect()

Method Detail

### getAdvisor

    public org.jboss.aop.Advisor getAdvisor()

### setAdvisor

    public void setAdvisor(org.jboss.aop.Advisor advisor)

### setGenerateDynamicProxy

    public void setGenerateDynamicProxy(boolean gen)

### execute

    public Object execute(org.jboss.aop.joinpoint.MethodInvocation invocation)
                   throws Throwable

  Throws:
    `Throwable`

### setupRemoteFuture

    protected void setupRemoteFuture(org.jboss.aop.joinpoint.MethodInvocation invocation,
                                     RemotableFuture future,
                                     org.jboss.remoting.InvokerLocator locator)
                              throws Exception

  Throws:
    `Exception`

### generateProxy

    protected boolean generateProxy()

  Default behaviour is to generate a proxy using aop. This can be overridden, e.g. by the EJB3 AsynchronousInterceptor to avoid dependencies on javassist for EJB3 clients

### setupLocalFuture

    protected void setupLocalFuture(org.jboss.aop.joinpoint.MethodInvocation invocation,
                                    Future future)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.